Bug 10422 - Remove references to unused and non-existent wizard.css
Summary: Remove references to unused and non-existent wizard.css
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-05 17:02 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10422 - Remove references to unused and non-existent wizard.css (1.39 KB, patch)
2013-07-02 14:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10422 - Remove references to unused and non-existent wizard.css (1.46 KB, patch)
2013-07-09 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10422 - Remove references to unused and non-existent wizard.css (1.54 KB, patch)
2013-07-12 14:38 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-06-05 17:02:03 UTC
A couple of include files refer to cases where "wizard.css" should be included. Those cases never evaluate as true, and the file doesn't exist. These references should be removed.
Comment 1 Owen Leonard 2013-07-02 14:06:13 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2013-07-09 10:48:29 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-07-12 14:38:17 UTC
Created attachment 19598 [details] [review]
Bug 10422 - Remove references to unused and non-existent wizard.css

doc-head-close.inc contains a reference to "wizard.css" which doesn't
exist. The option to include it never evaluates as true, and that
section can be removed from the template.

To test, apply the patch and view any page in the staff client.
Everything should be styled as before. A search of the Koha source
should return no references to "wizard.css" or a "wizard" variable.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
No occurrence of "wizard" in pl/pm files.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Passes koha-qa.pl
Comment 4 Galen Charlton 2013-07-12 15:04:35 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Tomás Cohen Arazi 2013-07-25 17:18:07 UTC
This patch has been pushed to 3.12.x, will be in 3.12.3.

Thanks Owen!
Comment 6 Bernardo Gonzalez Kriegel 2013-08-04 22:58:28 UTC
Pushed to 3.10.x, will be in 3.10.10
Comment 7 Chris Hall 2013-08-20 09:20:07 UTC
Pushed to 3.8.x, will be in 3.8.17